<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+---------------------------------------------+
| Site Map Panel by Wooya
+--------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

if (!defined("LANGUAGE")) {
	define("LANGUAGE", $settings['locale']);
}

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."site_map/locale/".LANGUAGE.".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."site_map/locale/".LANGUAGE.".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."site_map/locale/English.php";
}

// Infusion general information
$inf_title = "Site Map";
$inf_description = $locale['SM101'];
$inf_version = "1.3";

$inf_developer = "Wooya, upgrade SiteMaster";
$inf_email = "2loud@2loud.art.pl";
$inf_weburl = "http://www.mfusion.prv.pl";

$inf_folder = "site_map"; 

$inf_sitelink[1] = array(
	"title" => $locale['SM100'],
	"url" => "site_map.php",
	"visibility" => "0"
);
?>