<?
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------
|               Site Map Panel v1.0
|                     by Wooya
|            http://wooya.mac.aplus.pl
+----------------------------------------------------
|    Tested with PHP-Fusion v6 and mFusion v6 (1.0)
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."site_map/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."site_map/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."site_map/locale/English.php";
}
$fusion_images["bullet"] = THEME."images/bullet.gif";
//echo "<img src='".get_image("bullet")."' alt='*' style='vertical-align:middle' />";
//print_r($fusion_images)."<br />";
//echo get_image("bullet", "test alt", "vertical-align:middle", "Test Title");
//news
$i=0;
$result = dbquery("SELECT * FROM ".DB_NEWS." WHERE news_draft=0 ORDER BY news_datestamp DESC");
$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM120']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		echo "			<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."news.php?readmore=".$data['news_id']."'>".$data['news_subject']."</a> - <span class='small'>".showdate("longdate", $data['news_datestamp'])."</span>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}

//articles cats
$i=0;
$result = dbquery("SELECT * FROM ".DB_ARTICLE_CATS." WHERE ".groupaccess("article_cat_access")." ORDER BY article_cat_name ASC");
$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM121']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		$articles_count = dbcount("(*)",DB_ARTICLES,"article_cat=".$data['article_cat_id']);
		echo "			<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."articles.php?cat_id=".$data['article_cat_id']."'>".$data['article_cat_name']."</a> - <span class='small'>[".$locale['SM148'].": ".$articles_count."]</span>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}

//articles
$i=0;
{
	$result = dbquery("
	SELECT * FROM ".DB_ARTICLES."
	INNER JOIN ".DB_ARTICLE_CATS." ON article_cat_id = article_cat
	WHERE ".groupaccess("article_cat_access")."
	AND article_draft=0
	ORDER BY article_name ASC");
}
$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM122']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		echo "			<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."readarticle.php?article_id=".$data['article_id']."'>".$data['article_subject']."</a> - <span class='small'>".showdate("longdate", $data['article_datestamp'])."</span>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}
//custom pages
$i=0;
$result = dbquery("SELECT * FROM ".DB_CUSTOM_PAGES." WHERE ".groupaccess("page_access")." ORDER BY page_title ASC");
$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM123']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		echo "			<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."viewpage.php?page_id=".$data['page_id']."'>".$data['page_title']."</a>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}
//faq cats
$i=0;
if (!defined("LANGUAGE")) {
	$result = dbquery("SELECT * FROM ".DB_FAQ_CATS." ORDER BY faq_cat_name ASC");
}
$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM124']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		if (!defined("LANGUAGE")) {
			$faqcats_count=dbcount("(*)",DB_FAQS,"faq_cat_id=".$data['faq_cat_id']);
		} else {
			$res = dbarray(dbquery("
			SELECT Count(*) AS num FROM ".DB_FAQS." ff
			INNER JOIN ".DB_FAQ_CATS." fc ON fc.faq_cat_id = ff.faq_cat_id
			WHERE ff.faq_cat_id='".$data['faq_cat_id']."'
			"));
			$faqcats_count = $res['num'];
		}
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		echo "		<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."faq.php?cat_id=".$data['faq_cat_id']."'>".$data['faq_cat_name']."</a> - <span class='small'>[".$faqcats_count."]</span>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}
//faqs
$i=0;
if (!defined("LANGUAGE")) {
   $result = dbquery("SELECT * FROM ".DB_FAQS);
} else {
   $result = dbquery("
   SELECT * FROM ".DB_FAQS." ff
   INNER JOIN ".DB_FAQ_CATS." fc ON fc.faq_cat_id = ff.faq_cat_id
   ");
}
$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM125']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		echo "			<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."faq.php?cat_id=".$data['faq_cat_id']."'>".$data['faq_question']."</a>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}

//downloads categories PDP
$result = dbquery("SELECT * FROM ".DB_INFUSIONS." WHERE inf_folder='pro_download_panel'");
$rows = dbrows($result);
if ($rows!=0) {
if (!defined("DB_PDP_CATS")) {
	define("DB_PDP_CATS", DB_PREFIX."pdp_cats");
}
if (!defined("DB_PDP_DOWNLOADS")) {
	define("DB_PDP_DOWNLOADS", DB_PREFIX."pdp_downloads");
}
if (!defined("DB_PDP_FILES")) {
	define("DB_PDP_FILES", DB_PREFIX."pdp_files");
}
//downloads categories PDP

function getcats($parentid, $title) 
{
global $data;
	$result=dbquery("select * from ".DB_PDP_CATS." where cat_id=$parentid");
	$data = dbarray($result);
	if ($data['cat_name']!="") {
		$title = $data['cat_name']." / ".$title;
	}
	if ($data['top_cat']!=0) 
	{
		$title = getcats($data['top_cat'], $title);
	}
	return $title;
}
$i=0;
$result = dbquery("SELECT * FROM ".DB_PDP_CATS." WHERE ".groupaccess("cat_access")." ORDER BY cat_order, cat_id, cat_name ASC");
$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM126']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> ";
		echo "<a href='".INFUSIONS."pro_download_panel/download.php?catid=".$data['cat_id']."'>".getcats($data['top_cat'], "".$data['cat_name']."")."</a>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}

function getdlcats($parentid, $title, $dl_id, $dl_name, $dl_count, $lang1, $lang2, $file_ver) 
{
global $data;
	$result=dbquery("select * from ".DB_PDP_CATS." where cat_id=$parentid");
	$data = dbarray($result);
	if ($data['cat_name']!="") {
		if ($file_ver!=""){
			$title = $data['cat_name']." / ".$title." / ".$dl_name. " ".$file_ver;
		}else{
			$title = $data['cat_name']." / ".$title." / ".$dl_name;
		}
	}else{
		if ($file_ver!=""){
			$title = $title." / ".$dl_name. " ".$file_ver;
		}else{
			$title = $title." / ".$dl_name;
		}
	}
	if ($data['top_cat']!=0) 
	{
		$title = getcats($data['top_cat'], $title);
	}
	$title1 = "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".INFUSIONS."pro_download_panel/download.php?did=".$dl_id."'>";
	$title2 = "</a> - <span class='small'>[".$lang1.": ".$dl_count." ".$lang2."]</span>\n";

	return $title1.$title.$title2;
}
//downloads files PDP
$i=0;
	$result = dbquery("
	SELECT td.*, tc.*, tf.* FROM ".DB_PDP_DOWNLOADS." td
	INNER JOIN ".DB_PDP_CATS." tc ON tc.cat_id = td.cat_id
	LEFT JOIN ".DB_PDP_FILES." tf ON tf.download_id = td.download_id
	WHERE ".groupaccess("cat_access")."
	ORDER BY cat_order, dl_name ASC, file_version DESC
	");

$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM127']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		echo getdlcats($data['top_cat'],"".$data['cat_name']."",$data['download_id'],"".$data['dl_name']."",$data['download_count'],"".$locale['SM140']."","".$locale['SM146']."","".$data['file_version']."");
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}
}else{

//downloads categories
$i=0;
$result = dbquery("SELECT * FROM ".DB_DOWNLOAD_CATS." WHERE ".groupaccess("download_cat_access")." ORDER BY download_cat_name ASC");
$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM126']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		$downloads_count = dbcount("(*)",DB_DOWNLOADS,"download_cat=".$data['download_cat_id']);
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat_id']."'>".$data['download_cat_name']."</a> - <span class='small'>[".$downloads_count." ".$locale['SM145']."]</span>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}

//downloads files
$i=0;
if (!defined("LANGUAGE")) {
	$result = dbquery("SELECT * FROM ".DB_DOWNLOADS." ORDER BY download_title ASC");
} else {
	$result = dbquery("
	SELECT * FROM ".DB_DOWNLOADS."
	INNER JOIN ".DB_DOWNLOAD_CATS." ON download_cat_id = download_cat
	WHERE ".groupaccess("download_cat_access")."
	ORDER BY download_title ASC
	");
}
$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM127']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat']."&amp;download_id=".$data['download_id']."'>".$data['download_title']."</a> - <span class='small'>[".$locale['SM140'].": ".$data['download_count']." ".$locale['SM146']."]</span>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}
}
//weblinks cats
$i=0;
$result = dbquery("SELECT * FROM ".DB_WEBLINK_CATS." WHERE ".groupaccess("weblink_cat_access")." ORDER BY weblink_cat_name ASC");

$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM128']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		$weblinks_count = dbcount("(*)",DB_WEBLINKS,"weblink_cat=".$data['weblink_cat_id']);
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."weblinks.php?cat_id=".$data['weblink_cat_id']."'>".$data['weblink_cat_name']."</a> - <span class='small'>[".$locale['SM147'].": ".$weblinks_count."]</span>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}
//weblinks
$i=0;
if (!defined("LANGUAGE")) {
	$result = dbquery("SELECT * FROM ".DB_WEBLINKS." ORDER BY weblink_name ASC");
} else {
	$result = dbquery("
	SELECT * FROM ".DB_WEBLINKS."
	INNER JOIN ".DB_WEBLINK_CATS." ON weblink_cat_id=weblink_cat
	WHERE ".groupaccess("weblink_cat_access")."
	ORDER BY weblink_name ASC
	");
}
$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM129']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."weblinks.php?cat_id=".$data['weblink_cat']."&amp;weblink_id=".$data['weblink_id']."'>".$data['weblink_name']."</a> - <span class='small'>[".$locale['SM141'].": ".$data['weblink_count']."]</span>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}
//forums cats
$i=0;
$result = dbquery("SELECT * FROM ".DB_FORUMS." WHERE ".groupaccess("forum_access")." AND forum_cat=0 ORDER BY forum_order ASC");

$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM130']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		$forums_count = dbcount("(*)",DB_FORUMS, "forum_cat='".$data['forum_id']."'");
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."forum/viewforum.php?forum_id=".$data['forum_id']."'>".$data['forum_name']."</a> - <span class='small'>[".$locale['SM142'].": ".$forums_count."]</span>\n";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}
//forums
$i=0;
$result = dbquery("SELECT * FROM ".DB_FORUMS." WHERE ".groupaccess("forum_access")." AND forum_cat!=0 ORDER BY forum_order ASC");

$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM131']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		$threads_count = dbcount("(*)",DB_THREADS, "forum_id='".$data['forum_id']."'");
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."forum/viewforum.php?forum_id=".$data['forum_id']."'>".$data['forum_name']."</a> - <span class='small'>[".$locale['SM143'].": ".$threads_count."]</span><br  />";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
}
//polls
$i=0;
$result = dbquery("SELECT * FROM ".DB_POLLS." ORDER BY poll_started DESC");

$rows = dbrows($result);
if ($rows!=0) {
	opentable($locale['SM100'].": ".$settings['sitename']." / <b>".$locale['SM132']."</b>");
	echo "\n<table border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "	<tr>\n		<td class='".($i% 2==0?"tbl1 tdleft":"tbl2 tdleft")."'>\n";
		$polls_count = dbcount("(*)",DB_POLL_VOTES,"poll_id=".$data['poll_id']);
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> ".$data['poll_title']." - <span class='small'>[".$locale['SM144'].": ".$polls_count."]</span><br  />";
		echo "		</td>\n	</tr>\n";
		$i++;
	}
	closetable();
}

require_once THEMES."templates/footer.php";
?>